#include <bits/stdc++.h>
using namespace std;

long long a[200000];
long long pref[200000];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int n, k, x;
	cin >> n >> k >> x;
	for(int i = 0; i < n; i++) {
		cin >> a[i];
		pref[i] = a[i];
		if(i > 0)
			pref[i] += pref[i-1];
	}
	if(n == 1) {
		cout << a[0] << '\n';
		return 0;
	}
	for(int i = 0; i < n-k+1; i++) {
		long long res = pref[i+k-1];
		if(i > 0)
			res -= pref[i-1];
		long long maxval = LLONG_MIN;
		for(int j = i; j < i+k; j++) {
			if(pref[i+k-1] - pref[j] > maxval) {
				maxval = pref[i+k-1] - pref[j];
			}
		}
		cout << max(res + maxval, res) << ' ';
	}
	cout << '\n';
	return 0;
}